dofile_once( "mods/no-hit_mode/files/config.lua" );

function damage_received( damage, message, entity_thats_responsible, is_fatal  )
    local entity = tonumber(GetUpdatedEntityID());
    local counted_hit = false;
    if tonumber(entity_thats_responsible) == 0 then
        if INCLUDE_ENVIRONMENTAL_HITS then counted_hit = true; end
    elseif tonumber(entity_thats_responsible) == entity then
        if INCLUDE_SELF_DAMAGE_HITS then counted_hit = true; end
    else
        counted_hit = true;
    end
    if counted_hit then
        local damage_models = EntityGetComponent( entity, "DamageModelComponent" );
        for _,damage_model in pairs( damage_models ) do
            ComponentSetValue( damage_model, "hp", 0 );
            ComponentSetValue( damage_model, "max_hp", 0 );
        end
    end
end
